Package uk.ac.starlink.connect

# Class AuthKey

java.lang.Object
uk.ac.starlink.connect.AuthKey

public class AuthKey extends Object
Describes an item of authorization information required when connecting to a remote service. This will typically be something like username, password, etc.

Since:
  18 Feb 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`AuthKey(String name)`
Constructs a new key with a given name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefault()`
Returns the default value for this key.
`String`
`getDescription()`
Returns the description of this key.
`String`
`getName()`
Returns the name of this key.
`boolean`
`isHidden()`
Returns true if this key's value should be hidden.
`boolean`
`isRequired()`
Indicates whether this key must have a non-null value.
`void`
`setDefault(String dfault)`
Sets a default value for this key.
`void`
`setDescription(String description)`
Sets the description of this key.
`void`
`setHidden(boolean hidden)`
Sets whether this key's value will be hidden.
`void`
`setName(String name)`
Sets the name of this key.
`void`
`setRequired(boolean required)`
Sets whether this key must have a non-null value for a connection attempt to proceed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthKey

public AuthKey(String name)
Constructs a new key with a given name.

Parameters:
  `name` - name

## Method Details

### setName

public void setName(String name)
Sets the name of this key.

Parameters:
  `name` - name

### getName

public String getName()
Returns the name of this key.

Returns:
  name

### setDescription

public void setDescription(String description)
Sets the description of this key. May be used as a tooltip or similar.

Parameters:
  `description` - description

### getDescription

public String getDescription()
Returns the description of this key. May be used as a tooltip or similar.

Returns:
  description

### setDefault

public void setDefault(String dfault)
Sets a default value for this key.

Parameters:
  `dfault` - default

### getDefault

public String getDefault()
Returns the default value for this key.

Returns:
  default

### setHidden

public void setHidden(boolean hidden)
Sets whether this key's value will be hidden. Typically set true for password-type fields in which the display should not echo characters that are typed in.

Parameters:
  `hidden` - true for fields whose values should not be shown

### isHidden

public boolean isHidden()
Returns true if this key's value should be hidden. False by default.

Returns:
  hidden attribute

### setRequired

public void setRequired(boolean required)
Sets whether this key must have a non-null value for a connection attempt to proceed.

Parameters:
  `required` - true iff this key must have a value

### isRequired

public boolean isRequired()
Indicates whether this key must have a non-null value. False by default.

Returns:
  required attribute